incubator-cloudstack-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Sudha Ponnaganti <sudha.ponnaga...@citrix.com>
Subject RE: [ASF40][QA] AWSAPI packging remarks
Date Tue, 09 Oct 2012 12:22:07 GMT
Following tests are being executed to verify the fixes done. QA will report issues ASAP

Test coverage is being done  on a Basic zone set up:

start/stop/terminate/reboot/list and deploy instance

ec2-run-instances
ec2-start-instances
 ec2-terminate-instances
 ec2-stop-instances
 ec2-reboot-instances 

 add/delete/list Security Groups and rules ec2-authorize ec2-add-group ec2-delete-group ec2-describe-group
ec2-revoke

Attach/detach/delete/list volumes
ec2-attach-volume
 ec2-create-volume
 ec2-delete-volume
ec2-detach-volume
ec2-describe-volumes 

create/delete/list snapshots
ec2-create-snapshot
ec2-delete-snapshot
ec2-describe-snapshots
 
create/register/deregister/list templates ec2-create-image ec2-register ec2-deregister ec2-describe-images

Low priority: ec2-create-tags, ec2-delete-tags, ec2-describe-tags And keypairs:  ec2-create-keypair
,ec2-delete-keypair, ec2-describe-keypairs

Not planning on testing with Netscaler for EIP/ELB feature , so APIs relating to ipaddresses
will not be covered.
Please comment on this if you have some use for this  feature


-----Original Message-----
From: Rohit Yadav [mailto:rohit.yadav@citrix.com] 
Sent: Tuesday, October 09, 2012 4:52 AM
To: cloudstack-dev@incubator.apache.org
Subject: Re: [ASF40][QA] AWSAPI packging remarks

Hi folks,

The recent build changes may become hard to follow. This is to summarise what I did on 4.0:

This a regarding 292 (https://issues.apache.org/jira/browse/CLOUDSTACK-292) and it's fix 9b53150cf5e234453d2ba216da218b1ad56fc321

The awsapi servlet fails to load few classes as they are in its lib/ but not on its class
path. This is partly because of some cp and ln rules that are commented out or are changed
in cloud.spec. So, I added those jars in cloud-deps and configured aws-api package to depend
on cloud-deps.
There was an issue with axiom-impl version, so I've configured it to use latest version with
which it works now.

Following commits are in 4.0 and pending on master:

(To be cherry-picked in order, build related) commit 9b53150cf5e234453d2ba216da218b1ad56fc321
(add new del in awsapi/pom.xml, ant/rpm fixes) commit 5c3ec1541040ecc9d1f1da240b38eed0c4802632
(awsapi/pom.xml) commit 2f9941d85f8277f1fb2cbf958e41afb3fcd6960b (ant + changes in awsapi/pom.xml)

commit 543305367962cf1a57c10d0f1e6c16011bbca92c (ant related) commit 1814df52b5f2419801dbfb9ab7576668d60f5980
(ant related)

Bug fix 287:
29e6dae86de9482d6f2e85fe47fceeab45ecba9c
cfd2091337534f0ff7edcacd404c776fa202c5c7


Regards.

Mime
View raw message